
<script id="tpl-menu-list" type="text/x-jsrender" >
	{{!-- Recursive nested list of menu options --}}
	<div id="{{id:'menu'+~sfx}}" class="mcom-hamburger-menu new-hb" role="menubar">
		<div class="hb-category-title">
			<div class="category-selected">
				<a id="{{id:'category'+~sfx}}" class="hamburger-deadlink" href="#">{{>name}}</a>
			</div>
		</div>
		<div id="{{id:'back'+~sfx}}" class="m-hamburger-menu-bck"><span class="m-back-icon"></span>Back</div>
		<ul id="{{id:'list'+~sfx}}" class="mobilemenu-list">
			{{if seoURL}}
			<li id="{{id:'shopall'+~sfx}}" class="sale-event"><span class="mobilemenu-item-all-title">Shop all {{>name}}</span><span class="mobilemenu-arrow-right"></span></li>
			{{/if}}
		{{for categories}}
			<li id="{{id:'item'+~sfx}}" class="hamburger-item">{{>name}}</li>
		{{/for}}
		</ul>
	</div>
	{{for categories}}
		{{if categories}}
		{{include ~sfx=~sfx+'_'+#getIndex() tmpl="tpl-menu-list" /}}	{{!-- Recursive inclusion --}}
		{{/if}}
	{{/for}}
</script>

<script id="tpl-category-main" type="text/x-jsrender" >
	{{!-- Entry point for rendering nested menus --}}
	<div id="{{id:'mobilemenu'}}" class="mobilemenu hidden">
		{{include ~sfx='' tmpl="tpl-menu-list" /}}
	</div>
</script>


<script id="tpl-hamburger-main" type="text/x-jsrender">
	{{!-- Primary menu that appears when clicking the hamburger menu icon --}}
	<style type="text/css">
	.mcom-hamburger-menu .m-back-icon {
		background-image: url({{:$env.resourceRoot}}images/mobile/mobile-hb-menu-sprite.png);
	}
	.new-hb ul li a span.hb-mid-block {
	    background-image: url({{:$env.resourceRoot}}images/mobile/mobile-hb-mid-menu-sprite.png);
	}
	.hb-new-sprite {
	    background-image: url({{:$env.resourceRoot}}images/mobile/mobile-pilot-menu-sprite.png);
	}
	</style>
	<div id="{{id:true 'mcom-hamburger-main'}}">
		<div id="{{id:true 'mcom-hamburger-overlay'}}"></div>
		<div id="{{id:'menu'}}" class="mcom-hamburger-menu new-hb">
		   <div id="Category-title" class="hb-category-title" style="display: none;">
		      <div class="m-main-catagory"><a href="#"></a></div>
		   </div>
		   <h3 class="m-hamburger-menu-bck" style="display: none;">
		      <span class="m-back-icon"></span>Back
		   </h3>
		   <div id="home-menu-new" class="">
		      <div class="hb_top_block hb-reg-user">
		         <div class="hb_signin">Sign In</div>
		         <div class="hb_createacc">Create Account</div>
		         <div></div>
		      </div>
		      <div>
		         <div class="hb-wallet"><a>WALLET</a></div>
		         <div class="hb-wallet-cnt">
		            <div>
		               <h1 class="hb-img-blk"><span class="yesyourewards hb-new-sprite"></span></h1>
		            </div>
		            <div>
		               <h1 class="hb-img-blk"><span class="kohlscash hb-new-sprite"></span></h1>
		            </div>
		            <div>
		               <h1 class="hb-img-blk"><span class="avail-offers hb-new-sprite"></span></h1>
		            </div>
		         </div>
		      </div>
		      <ul>
		         <li class="hbHome hb-mid-block">
		            <a href="/">
		               <span class="hbHome hb-mid-block"></span>Home
		            </a>
		         </li>
		         <li class="shop-by-category hb-mid-block">
		            <a id="{{id:'shopCategory'}}" href="#">
		               <span class="shop-by-category hb-mid-block"></span>Shop By Category
		            </a>
		         </li>
		         <li class="deals hb-mid-block">
		            <a href="/sale-event/coupons-deals.jsp">
		               <span class="deals hb-mid-block"></span>Kohl&#39;s Coupons
		            </a>
		         </li>
		         <li class="kohls-charge hb-mid-block">
		            <a href="/feature/kohlscharge">
		               <span class="kohls-charge hb-mid-block"></span>Kohl&#39;s Charge
		            </a>
		         </li>
		         <li class="kohls-rewards hb-mid-block">
		            <a href="/feature/rewards.jsp">
		               <span class="kohls-rewards hb-mid-block"></span>
		               <div>Yes2You Rewards</div>
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="#">
		               <span class="hb-btm-block"></span>Account
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="#">
		               <span class="hb-btm-block"></span>Orders
		            </a>
		         </li>
		         <li class="my-store hb-btm-block">
		            <a href="#">
		               <span class="my-store hb-btm-block"></span>Shop My Store
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="/stores/search.m.shtml">
		               <span class="hb-btm-block"></span>Store Locator
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="/catalog/kohl-s-gift-cards-gift-cards.jsp?CN=Product:Kohl%27s%20Gift%20Cards+Department:Gift%20Cards">
		               <span class="hb-btm-block"></span>Gift Cards
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="/upgrade/giftinglisting/wishlist.jsp">
		               <span class="hb-btm-block"></span>Lists
		            </a>
		         </li>
		         <li class="hb-btm-block">
		            <a href="/feature/contactus.jsp">
		               <span class="hb-btm-block"></span>Help
		            </a>
		         </li>
		         <li class="hb-btm-block hb_signout_pilot"></li>
		      </ul>
		   </div>
		</div>
	</div>
</script>
